Imports System
Imports System.ComponentModel
Imports System.Collections.Generic
Imports System.Diagnostics
Imports System.Text

Imports DevExpress.ExpressApp
Imports DevExpress.ExpressApp.Actions
Imports DevExpress.Persistent.Base

Public Class APCSheetReviewHeader_VC
    Inherits SISBusiness.Module.APCSheetReviewHeader_VC

    Dim _WaitFormClass As New WaitFormClass

	Public Sub New()
		MyBase.New()
		InitializeComponent()
		RegisterActions(components) 
    End Sub

    Protected Overloads Overrides Sub OnActivated()
        MyBase.OnActivated()
        AddHandler DoWork, AddressOf _WaitFormClass.DoWork
        AddHandler InitWork, AddressOf _WaitFormClass.InitWork
        AddHandler FinalWork, AddressOf _WaitFormClass.FinalWork
    End Sub
    Protected Overrides Sub OnDeactivated()
        MyBase.OnDeactivated()
        RemoveHandler DoWork, AddressOf _WaitFormClass.DoWork
        RemoveHandler InitWork, AddressOf _WaitFormClass.InitWork
        RemoveHandler FinalWork, AddressOf _WaitFormClass.FinalWork
    End Sub
End Class
